org.eclipse.rdf4j.common.iteration

## Class EmptyIteration<E,X extends Exception>

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.EmptyIteration<E,X>

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<E,X>, Iteration<E,X>

      public final class EmptyIteration<E,X extends Exception>
      extends AbstractCloseableIteration<E,X>

  An iterator that does not contain any elements.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyIteration()` Creates a new EmptyIteration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()` Returns `true` if the iteration has more elements.
    `E` | `next()` Returns the next element in the iteration.
    `void` | `remove()` Removes from the underlying collection the last element returned by the iteration (optional operation).

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, handleClose, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### EmptyIteration

          public EmptyIteration()

      Creates a new EmptyIteration.

  - ### Method Detail

    - #### hasNext

          public final boolean hasNext()

      Description copied from interface: `Iteration`
      Returns `true` if the iteration has more elements. (In other words, returns `true` if `Iteration.next()` would return an element rather than throwing a `NoSuchElementException`.)
      Returns:
        `true` if the iteration has more elements.

    - #### next

          public final E next()

      Description copied from interface: `Iteration`
      Returns the next element in the iteration.
      Returns:
        the next element in the iteration.

    - #### remove

          public final void remove()

      Description copied from interface: `Iteration`
      Removes from the underlying collection the last element returned by the iteration (optional operation). This method can be called only once per call to next.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.